# $Id: perl-MOP.spec 3133 2005-04-16 09:04:11Z dries $
# Authority: dries
# Upstream: Rodolphe Ortalo <ortalo$laas,fr>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name MOP

Summary: Meta-object protocol for Perl modules
Name: perl-MOP
Version: 1.00
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/MOP/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/O/OR/ORTALO/MOP-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
The two modules MOP::MOP and MOP::MetaModule provide the basis of
a meta-object protocol (MOP) for Perl5 objects.
Basically, a MOP allows trapping of the various method calls made by a
user on the objects he has created from a MOP-aware module. These
method calls are then redirected to another object, called the meta-object,
for further processing. Once the meta-object has taken control of the
method call, it can complement the processing made by the base level
target object in various ways. Possible applications include:
transparent remote invocation, authentication, replicas management or
stable storage for fault tolerance, etc.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/MOP

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.00-1 - 3133/dries
- Initial package.
